| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bmolsym.cpp File Reference

A tool to perform symmetry operations on coordinate files. More...

`#include "rwmolecule.h"`
`#include "mol_symmetry.h"`
`#include "mol_transform.h"`
`#include "mol_edit.h"`
`#include "mol_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A tool to perform symmetry operations on coordinate files.

Author
  Bernard Heymann

Date
  Created: 19980214
  Modified: 20150813

Definition in file bmolsym.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 53 of file bmolsym.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bmolsym [options] in.pdb out.pdb",
"---------------------------------------",
"Performs symmetry operations on molecules.",
" ",
"Actions:",
"-translate 0,-50,22 Translate (angstrom).",
"-rotate 0.5,0,5.8,45 Rotate around a vector (x,y,z) by an angle.",
"-select CA Atom selection (default all).",
"-apply C5 Apply point group symmetry.",
"-find C5 Find standard orientation for this point group symmetry.",
"-Bfactor D5 Calculate B factors for this point group symmetry.",
"-pdbsymmetry Read SMTRY matrices from a PDB file and apply them.",
"-pdbbiomt Read BIOMT matrices from a PDB file and apply them.",
"-rename D Rename molecules from the given letter.",
"-show Show operational symmetry matrices.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-origin 10,-10,20 Origin for rotation (default 0,0,0, can be \"center\" for COM).",
"-reference 0,1.5,-0.2,35 Reference symmetry axis and rotation angle (default 0,0,1,0).",
"-distance 3.5 Distance between overlapping atoms allowed (default 3 angstrom, use with -apply).",
" ",
"Input:",
"-parameters parm.star Atomic properties parameter file (default atom_prop.star).",
"-similarity sim.star Residue similarity matrix for finding orientation (default blosum62.star).",
" ",
NULL
}

Definition at line 22 of file bmolsym.cpp.

## ◆ verbose

int verbose